<!doctype html>
<head>
  <link rel="stylesheet" href="{{ url_for('static', filename='css/darktheme.css') }}">
  <link rel="stylesheet" href="{{ url_for('static', filename='css/video-js.min.css') }}">

  <style>
    .vjs-button.vjs-control.vjs-next-button {
      position: relative;
      font-size: 2.2em;
      width: 2em;
      cursor: pointer;
    }
    .vjs-big-play-button:before {
      display: block !important;
    }
  </style>
</head>

<html>
<body>

<video id="video-player" class="video-js" preload="auto" outline="none" playsinline controls
data-setup='{ "playbackRates": [0.5, 1, 1.25, 1.5, 1.75, 2] }'
style="outline:none;
    background-color:#000;
    background-size:cover;
    display: inline-block;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    margin: 0;
    padding: 0;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow-wrap: break-word;
    word-wrap: break-word;"
>
  <source
    src="{{ video_url }}.webm"
    type='video/webm' />
  <source
    src="{{ video_url }}.mp4"
    type="video/mp4" />
  <source
    src="{{ video_url }}.ogv"
    type="video/ogg" />
  <source
    src="{{ video_url }}.mkv" />
</video>

<script src="{{ url_for('static', filename='js/video.min.js') }}"></script>

<script type="text/javascript">
  (function(){
    var player = videojs('video-player', {
    controlBar: {skipButtons: {backward:10, forward:10}} });
  })();
</script>

</body>
</html>